Skip to main content
GET
/
trade
/
v1
/
market-data
/
order-book
/
{symbol}
/
aggregated
Get aggregated order book
curl --request GET \
  --url https://api.staging.layer1.com/trade/v1/market-data/order-book/{symbol}/aggregated \
  --header 'Authorization: Bearer <token>'
{
  "timestamp": "2023-10-01T12:00:00Z",
  "venue": null,
  "symbol": {
    "base": {
      "code": "BTC"
    },
    "counter": {
      "code": "USD"
    }
  },
  "bids": [
    {
      "price": "42700.00",
      "quantity": "0.5",
      "venue": "kraken",
      "timestamp": "2023-10-01T12:00:00Z",
      "priceWithFee": "42700.00"
    },
    {
      "price": "42650.00",
      "quantity": "1.2",
      "venue": "binance",
      "timestamp": "2023-10-01T12:00:00Z",
      "priceWithFee": "42650.00"
    },
    {
      "price": "42600.00",
      "quantity": "0.8",
      "venue": "talos",
      "timestamp": "2023-10-01T12:00:00Z",
      "priceWithFee": "42600.00"
    }
  ],
  "asks": [
    {
      "price": "42800.00",
      "quantity": "0.3",
      "venue": "kraken",
      "timestamp": "2023-10-01T12:00:00Z",
      "priceWithFee": "42800.00"
    },
    {
      "price": "42850.00",
      "quantity": "0.7",
      "venue": "binance",
      "timestamp": "2023-10-01T12:00:00Z",
      "priceWithFee": "42850.00"
    },
    {
      "price": "42900.00",
      "quantity": "1.1",
      "venue": "talos",
      "timestamp": "2023-10-01T12:00:00Z",
      "priceWithFee": "42900.00"
    }
  ],
  "type": "INDICATIVE"
}

Documentation Index

Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

symbol
string
required

Trading pair symbol (e.g., BTC-USD, ETH-EUR)

Required string length: 1 - 32

Query Parameters

orderBookType
enum<string>

Type of order book to aggregate. Available types: INDICATIVE, FIRM, TOP, NATIVE, AGGREGATED, VWAP

Available options:
INDICATIVE,
FIRM,
TOP,
NATIVE,
AGGREGATED,
VWAP
feeStrategy
enum<string>

Fee strategy to apply when aggregating. Available strategies: MAKER, TAKER

Available options:
MAKER,
TAKER

Response

Aggregated order book retrieved successfully

Order book containing bid and ask orders for a trading pair

timestamp
string<date-time>

Timestamp when the order book data was recorded

venue
string

Trading venue identifier

Example:

"kraken"

venueAccount
string

Venue account of the venue

Example:

"kraken"

symbol
string

Trading pair symbol

bids
object[]

List of bid orders sorted by price in descending order

asks
object[]

List of ask orders sorted by price in ascending order

type
enum<string>

Type of order book (e.g., INDICATIVE, FIRM)

Available options:
INDICATIVE,
AGGREGATED